Bug 485961 - (gmusicbrowser) Review Request: gmusicbrowser - Jukebox for large collections of music files
Review Request: gmusicbrowser - Jukebox for large collections of music files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon
Fedora Extras Quality Assurance
:
Depends On: perl-Gtk2-MozEmbed
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 12:48 EST by Remi Collet
Modified: 2009-04-21 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.0.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 20:55:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cassmodiah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2009-02-17 12:48:46 EST
Spec URL: http://remi.fedorapeople.org/gmusicbrowser.spec
SRPM URL: http://remi.fedorapeople.org/gmusicbrowser-1.0.1-1.fc8.src.rpm
Mock Log: http://remi.fedorapeople.org/gmusicbrowser-build.log
Koji Scratch Build : http://remi.fedorapeople.org/gmusicbrowser-build.log
Description: 
Jukebox for large collections of music files
Uses gstreamer, mpg321/ogg123/flac123  or mplayer for playback
Main features :
- customizable window layouts
- artist/album lock : easily restrict playlist to current artist/album
- easy access to related songs (same artist/album/title)
- simple mass-tagging and mass-renaming
- support multiple genres for each song
- customizable labels can be set for each song
- filters with unlimited nesting of conditions
- customizable weighted random mode

-- 
rpmlint output : 
gmusicbrowser.src: I: checking
gmusicbrowser.src:59: E: hardcoded-library-path in %{_prefix}/lib/menu/gmusicbrowser
gmusicbrowser.noarch: I: checking
gmusicbrowser.spec:60: E: hardcoded-library-path in %{_prefix}/lib/menu/gmusicbrowser
2 packages and 1 specfiles checked; 2 errors, 0 warnings.

=> menu not packaged.
Comment 1 Remi Collet 2009-02-17 13:04:26 EST
Typo, the Koji scratch build is :
https://koji.fedoraproject.org/koji/taskinfo?taskID=1133672

And remember that it requires perl-Gtk2-MozEmbed
https://bugzilla.redhat.com/show_bug.cgi?id=485621
Comment 2 Simon 2009-04-11 17:27:58 EDT
-= Review gmusicbrowser =-
   buenas noches!

* MUST: rpmlint must be run on every package. The output should be posted in the review.
O.K.
gmusicbrowser.src:60: E: hardcoded-library-path in %{_prefix}/lib/menu/gmusicbrowser
is the erasing of hardcoded, so this is OK


* MUST: The package must be named according to the Package Naming Guidelines
O.K.


* MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
O.K.


* MUST: The package must meet the Packaging Guidelines
NOT O.K.
- forbidden macro
-- %makeinstall https://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used
--- make install prefix=%{buildroot}%{_prefix}
- Timestamps
-- SOURCE0 with broken timestamps (wget -N SOURCE0) 
-- Installation without preserve the files' timestamps
-- https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
--- make install prefix=%{buildroot}%{_prefix} INSTALL="install -p"
- missing Requirements
-- post / postun without Requires
   .:[ cassmodiah @ schafwiese : /home/cassmodiah ]:.
   $ rpm -qf /usr/bin/update-desktop-database 
   desktop-file-utils-0.15-3.fc10.i386
--- Requires(post): desktop-file-utils
    Requires(postun): desktop-file-utils


* MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
O.K. (GPL)


* MUST: The License field in the package spec file must match the actual license.
NOT O.K.
[quote]
If the
Program specifies that a certain numbered version of the GNU General
Public License "or any later version" applies to it, you have the
option of following the terms and conditions either of that numbered
version or of any later version published by the Free Software
Foundation.
[/quote]
No information in source for GPLv3 only so GPLv3+


* MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
O.K.


* MUST: The spec file must be written in American English.
O.K.


* MUST: The spec file for the package MUST be legible.
O.K.


* MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
O.K.
my dl: f088bc27f4c1ddfb46e441b879560398
package: f088bc27f4c1ddfb46e441b879560398


* MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
O.K. noarch


* MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
N/A

* MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
O.K.


* MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
O.K.


* MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A


* MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
N/A


* MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
NOT O.K.
%{_datadir}/%{name}/*
owns the files in the directory, but not the directory itself
it should be %{_datadir}/%{name}/


* MUST: A Fedora package must not list a file more than once in the spec file's %files listings. 
O.K.


* MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
O.K.


* MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
O.K.


* MUST: Each package must consistently use macros. 
O.K.
one hint:
you wrote: Source0:   http://squentin.free.fr/gmusicbrowser/%{name}-%{version}.tar.gz
i would write: Source0:   http://squentin.free.fr/%{name}/%{name}-%{version}.tar.gz


* MUST: The package must contain code, or permissable content. 
O.K.


* MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
N/A


* MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 


* MUST: Header files must be in a -devel package.
N/A


* MUST: Static libraries must be in a -static package.
N/A


* MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
N/A


* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A


* MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
N/A


* MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
N/A


* MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
O.K.


* MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
O.K.


* MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
O.K.


* MUST: All filenames in rpm packages must be valid UTF-8.
O.K.


* SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A

* SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
N/A


* SHOULD: The reviewer should test that the package builds in mock.
O.K.


* SHOULD: The package should compile and build into binary rpms on all supported architectures. 
O.K. noarch


* SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
O.K.
Package is installable. Application is startable, didn't test audiofunction (no speakers)


* SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 
N/A

* SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A

* SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. 
N/A


* SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. 
N/A
Comment 3 Remi Collet 2009-04-12 01:38:30 EDT
@quentin : can you fix the upstream Makefile to preserve timestamp (probably defining an INSTALL macro as -p option is perhaps not supported everywhere)

@simon : I agree we should preserve timestamp as much as possible, but I don't think this is a must when upstream don't care (Guidelines says "When adding file copying commands in the spec file...") : anyway, fixed

I've changed to "make install DESTDIR=%{buildroot}" as it is supported by the Makefile.

Spec URL: http://remi.fedorapeople.org/gmusicbrowser.spec
SRPM URL: http://remi.fedorapeople.org/gmusicbrowser-1.0.1-2.fc8.src.rpm

%changelog
* Sun Apr 12 2009 Remi Collet <Fedora@FamilleCollet.com> - 1.0.1-2
- From review (#485961)
- preserve timestamp
- own all directory
- missing Requires
- fix license
Comment 4 Simon 2009-04-12 03:26:47 EDT
@remi
> I agree we should preserve timestamp as much as possible, but I don't
> think this is a must when upstream don't care
I don't think this is a must, so I agree with you; but imho it is possible with a little maintenance (in your case you solved it with sed) and the result is more beautiful. :-) And imho if you have to fix some important issues, then you can do this little thing by the way :-)


* MUST: The package must meet the Packaging Guidelines
O.K


* MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. 
O.K.


* MUST: The License field in the package spec file must match the actual
license.
O.K.


+-------------------+
|   gmusicbrowser   |
|     APPROVED      |
+-------------------+
Comment 5 Remi Collet 2009-04-12 04:06:45 EDT
Thanks for the review

New Package CVS Request
=======================
Package Name: gmusicbrowser
Short Description: Jukebox for large collections of music files
Owners: remi
Branches: F-10
InitialCC:
Comment 6 Kevin Fenzi 2009-04-12 14:21:57 EDT
cvs done.
Comment 7 Fedora Update System 2009-04-12 14:59:00 EDT
gmusicbrowser-1.0.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gmusicbrowser-1.0.1-2.fc10
Comment 8 Fedora Update System 2009-04-13 15:36:43 EDT
gmusicbrowser-1.0.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gmusicbrowser'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3541
Comment 9 Fedora Update System 2009-04-21 20:55:19 EDT
gmusicbrowser-1.0.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.